ArgsMessage.ArgumentType
Date: 2014-08-08

meltinggui

## Enum ArgsMessage.ArgumentType

- java.lang.Object
- - java.lang.Enum<ArgsMessage.ArgumentType>
  - - meltinggui.ArgsMessage.ArgumentType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ArgsMessage.ArgumentType>
  Enclosing class:
    ArgsMessage

      public static enum ArgsMessage.ArgumentType
      extends java.lang.Enum<ArgsMessage.ArgumentType>

  The different possible types of arguments that can be sent. Currently, the argument types supported are: - MANDATORY: the mandatory arguments: -S, -C, -E, -H, -P. - GENERAL: all other arguments.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERAL`
    `MANDATORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArgsMessage.ArgumentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ArgsMessage.ArgumentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MANDATORY

          public static final ArgsMessage.ArgumentType MANDATORY

    - #### GENERAL

          public static final ArgsMessage.ArgumentType GENERAL

  - ### Method Detail

    - #### values

          public static ArgsMessage.ArgumentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArgsMessage.ArgumentType c : ArgsMessage.ArgumentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArgsMessage.ArgumentType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null